com.facebook.presto.jdbc

## Class QueryStats

- java.lang.Object
- - com.facebook.presto.jdbc.QueryStats

    public final class QueryStats
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`QueryStats(String state, boolean scheduled, int nodes, int totalSplits, int queuedSplits, int runningSplits, int completedSplits, long userTimeMillis, long cpuTimeMillis, long wallTimeMillis, long processedRows, long processedBytes, Optional<StageStats> rootStage)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getCompletedSplits()`
`long` `getCpuTimeMillis()`
`int` `getNodes()`
`long` `getProcessedBytes()`
`long` `getProcessedRows()`
`int` `getQueuedSplits()`
`Optional<StageStats>` `getRootStage()`
`int` `getRunningSplits()`
`String` `getState()`
`int` `getTotalSplits()`
`long` `getUserTimeMillis()`
`long` `getWallTimeMillis()`
`boolean` `isScheduled()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### QueryStats

    public QueryStats(String state,
                      boolean scheduled,
                      int nodes,
                      int totalSplits,
                      int queuedSplits,
                      int runningSplits,
                      int completedSplits,
                      long userTimeMillis,
                      long cpuTimeMillis,
                      long wallTimeMillis,
                      long processedRows,
                      long processedBytes,
                      Optional<StageStats> rootStage)

### Method Detail

#### getState

    public String getState()

#### isScheduled

    public boolean isScheduled()

#### getNodes

    public int getNodes()

#### getTotalSplits

    public int getTotalSplits()

#### getQueuedSplits

    public int getQueuedSplits()

#### getRunningSplits

    public int getRunningSplits()

#### getCompletedSplits

    public int getCompletedSplits()

#### getUserTimeMillis

    public long getUserTimeMillis()

#### getCpuTimeMillis

    public long getCpuTimeMillis()

#### getWallTimeMillis

    public long getWallTimeMillis()

#### getProcessedRows

    public long getProcessedRows()

#### getProcessedBytes

    public long getProcessedBytes()

#### getRootStage

    public Optional<StageStats> getRootStage()